
cc.Class({
    extends: require("TableViewCtrlV"),

    properties: {

    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {
        //模拟数据回来需要2秒钟
        setTimeout(function () {
            for(var i=0; i< 1000; i++){
                this._sourceData.push(i);
            }
            this.scrollView.node.active = true;
            this.reload();
        }.bind(this), 2000);
    },

    onDestroy:function () {
        //不要忘记调用这句话，来清除复用池子里的节点
        this.clearReuserArray();
    },

    //请重写这个函数
    getItem:function (i) {
        var item = this._reuseArray.pop();
        if(item == null){
            item = cc.instantiate(this.itemPrefab);
        }

        item.getComponent(this.itemCtrlName).reuse(this._sourceData[i]);
        return item;
    }


    // update (dt) {},
});
